# IListener1
Date: 2011-05-10

## jrummikub.util
Interface IListener1<T>

Type Parameters:
  `T` - type of the event parameter

    public interface IListener1<T>

Interface for classes that can receive parameterless events having a single parameter

Method Summary
`void` `handle(T value)` This method is called whenever a class we're listening to emits an event

Method Detail

### handle

    void handle(T value)

  This method is called whenever a class we're listening to emits an event

  Parameters:
    `value` - the event parameter